@ECHO OFF
CLS
@REM
@REM **********************************************
@REM **    This BAT file will launch the test    **
@REM **    utility for the HP ap5000 MSR.        **
@REM **                                          **
@REM **********************************************
@REM
@REM
@REM -- Change to the current working directory.
@REM
cd /d %~dp0


REM
REM -- Copy the OCX files to the Windows\System32 folder.
REM
Copy /V /Y "comdlg32.OCX" "%WinDir%\System32"
Copy /V /Y "MSCOMM32.OCX" "%WinDir%\System32"
Copy /V /Y "SYSINFO.OCX" "%WinDir%\System32"
Copy /V /Y "RICHTX32.OCX" "%WinDir%\System32"

REM
REM -- Regisgter the OCX file.
REM
regsvr32 /S "%WinDir%\System32\comdlg32.OCX"
regsvr32 /S "%WinDir%\System32\MSCOMM32.OCX"
regsvr32 /S "%WinDir%\System32\SYSINFO.OCX"
regsvr32 /S "%WinDir%\System32\RICHTX32.OCX"

CLS
@REM
@REM -- Display message about PDF file.
@REM
Echo.
Echo     Please refer to the "HP ap5000 MSR Windows Test  
Echo     Program Readme.pdf" files for detail installation steps.
Echo.
Echo.
Echo     This screen will automatically close when the process
Echo     has has completed.
Echo.
Echo.

@REM
@REM -- Launch the test program.
@REM
Echo.
Echo.
"ap5000 MSR Test.exe"

@REM
@REM -- End of ap5000_VFD_Windows2.BAT2
@REM