@ECHO OFF
CLS
@REM
@REM **********************************************
@REM **    This BAT file will launch the SETUP   **
@REM **    utility for the HP ap5000 VFD.        **
@REM **                                          **
@REM **********************************************
@REM
@REM
@REM -- Change to the current working directory.
@REM
cd /d %~dp0

:Loop
@REM
@REM -- Display close message.
@REM
Echo.
Echo.
Echo.    This screen will automatically close when the process
Echo     has has completed.
Echo.
Echo.  

@REM
@REM -- Display message about the ap5000 VFD.
@REM
Echo.    Please note if want to install the ap5000 VFD (2 line display) in 
Echo.    configuration that does not have the VFD attached or a image that  
Echo.    does not have the ap5000 VFD attached you will be prompted for the  
Echo.    COM (serial) port setting.   When selected please select either COM1 
Echo.    or COM2 for the COM port (COM2 is the default location of the VFD 
Echo.    when shipped from HP factory).
Echo.
Echo.

SET Choice=
SET /P Choice=   Continue with installation of the ap5000 VFD OPOS drivers (Y/N)?

IF NOT '%Choice%'=='' SET Choice=%Choice:~0,1%
ECHO.
:: /I makes the IF comparison case-insensitive
IF /I '%Choice%'=='Y' GOTO Install_ap5000_OPOS
IF /I '%Choice%'=='y' GOTO Install_ap5000_OPOS
IF /I '%Choice%'=='N' GOTO End
IF /I '%Choice%'=='n' GOTO End
ECHO "%Choice%" is not valid, please select Y or N.
ECHO.
GOTO Loop

:Install_ap5000_OPOS
@REM
@REM
@REM -- Launch the Setup.exe program.
@REM
Echo.
Echo.
"HPap5000LineDisplay_OPOS_Service_Object.msi"

:End
@REM
@REM -- End of HPap5000VFD2.BAT
@REM