@Echo Off
CLS

REM *****************************************************************************
REM **                                                                         **
REM **  The following set the classpath for the pole display JAVA drivers.     **
REM **                                                                         **
REM *****************************************************************************
REM
set oldcp=%classpath%
set classpath=postest.jar
set classpath=%classpath%;jpos113.jar
set classpath=%classpath%;gnu.io.rxtx_2.1.7.4_v20071016.jar
set classpath=%classpath%;xerces.jar

set classpath=%classpath%;.\

REM ***************************************
REM *  Add Device Specific jar's here...  *
REM ***************************************
set classpath=%classpath%;HPap5000LineDisplay.jar
set lp=.\

REM ************************************************************************
REM **                                                                    **
REM **  The following launchs the pole display JAVA test application.     **
REM **                                                                    **
REM ************************************************************************
REM
CLS
Echo.
Echo.
Echo.
Echo    Please wait while loading the JavaPos application .....
Echo.
Echo.

If "%PROCESSOR_ARCHITECTURE%"=="x86" (
  REM
  REM Running as 32 Bit
  REM
  java -cp %classpath% -Djava.library.path=%lp% com.jpos.POStest.POStest
) ELSE (
  REM
  REM Running as 64 Bit
  REM
  "%WINDIR%\SysWOW64\java" -cp %classpath% -Djava.library.path=%lp% com.jpos.POStest.POStest
)

set classpath=%oldcp%

cd ..
cls